#ifndef MYGLWIDGET_H
#define MYGLWIDGET_H

#include "scenecontroller.h"
#include <QGLWidget>

class Scene;

namespace Ui {
class MyGLWidget;
}

class MyGLWidget : public QGLWidget
{
    Q_OBJECT

	Scene* scene;
	SceneController controller;
    QPoint last;

public:
    explicit MyGLWidget(QWidget *parent = 0);
    ~MyGLWidget();

protected:
    void initializeGL();
	void buildScene();
    void resizeGL(int width, int height);
    void paintGL();

private:
    // handle events
	void mouseMoveEvent(QMouseEvent *e);
	void mousePressEvent(QMouseEvent* e);
    void mouseReleaseEvent(QMouseEvent* e);
    void keyPressEvent(QKeyEvent *e);
    void keyReleaseEvent(QKeyEvent *e);
};

#endif // MYGLWIDGET_H
