#ifndef PHONGMATERIAL_H
#define PHONGMATERIAL_H

#include "material.h"
#include "glm/vec3.hpp"

class PhongMaterial : public Material
{
    glm::vec3 kd;
    glm::vec3 ks;
    float ns;
public:
    PhongMaterial(Shader* myShader) : Material(myShader), kd(0.5f), ks(0.5f), ns(10) {}
    PhongMaterial(Shader* myShader, glm::vec3 myKd, glm::vec3 myKs, float myNs) : Material(myShader), kd(myKd), ks(myKs), ns(myNs) {}
    virtual void bindAttributes();
};

#endif // PHONGMATERIAL_H
